Results 1 to 9 of 9

Thread: Unable to update

  1. #1

    Default Unable to update

    Hi,

    Just installed 11.2RC ...when am trying to get updates (Sudo zypper up ) it gives me an error message.Also when i try to refresh the repository ...the system gives me an error ....have attached a screenshot of the same ...kindly assist

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,721
    Blog Entries
    20

    Default Re: Unable to update

    I assume you have a live Internet connection?

    Please post result of this from a terminal

    Code:
    zypper lr -d
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3

    Default Re: Unable to update

    This is what i get...........

    salil@linux-3zbt:~/Desktop> zypper lr -d
    # | Alias | Name | Enabled | Refresh | Priority | Type | URI | Service
    --+--------------------------------+---------------------------+---------+---------+----------+--------+-----------------------------------------------------------------------------+--------
    1 | download.opensuse.org-oss | Main Repository (DEBUG) | Yes | Yes | 99 | yast2 | Index of /debug/distribution/11.2/repo/oss |
    2 | download.opensuse.org-oss_1 | Main Repository (OSS) | Yes | Yes | 99 | yast2 | Index of /distribution/11.2/repo/oss |
    3 | download.opensuse.org-oss_2 | Main Repository (Sources) | Yes | Yes | 99 | yast2 | Index of /source/distribution/11.2/repo/oss |
    4 | download.opensuse.org-standard | Main Repository (Contrib) | Yes | Yes | 99 | rpm-md | Index of /repositories/openSUSE:/11.2:/Contrib/standard |
    5 | download.opensuse.org-update | Main Update Repository | Yes | Yes | 99 | rpm-md | Index of /update/11.2

  4. #4
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,721
    Blog Entries
    20

    Default Re: Unable to update

    Can you browse the net OK?

    I'm going to recommend deleting all those repo's and adding them back, are you OK with that.
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

  5. #5

    Default Re: Unable to update

    yes am able to browse......well actually i did try that , i deleted them all and added then again through Yast(Community Repositories...Main Repo's)...the same error.....also read this under the most annoying bugs "The Net ISO images will call the factory repository. The URL for repositories needs to be changed from /factory/repo/oss to /factory-snapshot/repo/oss manually."....not so sure what that means ....Appreciate your help.

  6. #6
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,721
    Blog Entries
    20

    Default Re: Unable to update

    Delete them all
    We are going to add them back Manually url method

    OSS
    Index of /distribution/11.2/repo/oss

    NON-OSS
    Index of /distribution/11.2/repo/non-oss

    UPDATE
    Index of /update/11.2

    Use names as I have and just copy and paste the url's

    Guide on repo management here
    Repository Management - openSUSE Forums
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

  7. #7

    Default Re: Unable to update

    Thanks a Ton caf4926...that worked ....well do i need to make any changes to the repo's once the final Release is out????Also one last question ...what difference would it make if i use "sudo zypper dup" instead of "sudo zypper up" on 11.2RC ...both are giving me different output's....Thanks again for you help.

  8. #8
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,721
    Blog Entries
    20

    Default Re: Unable to update

    Well done - And you are welcome

    Those repo's are fine.
    I don't do sudo
    Just su in a terminal or a console login.

    I did this from RC1 to RC2
    I booted to level 3 - logged in as user, switched to su and did:

    zypper ref
    zypper in zypper libzypp
    zypper dup


    Between now and release, keep your 3rd party applications to a minimum (By that I mean stuff from Packman or other non standard repos)
    Multi-media and Restricted Format Installation Guide - openSUSE Forums
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

  9. #9
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,721
    Blog Entries
    20

    Default Re: Unable to update

    Just a word on priorities until after release.
    Keep oss, non-oss and update at 99
    Packman at lower eg:90

    After you are at final 11.2
    Use the settings in the Multi-Media guide.
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •